lp:~ubuntu-desktop/gucharmap/ubuntu

Created by Sebastien Bacher on 2009-03-16 and last modified on 2014-10-12
Get this branch:
bzr branch lp:~ubuntu-desktop/gucharmap/ubuntu
Members of Ubuntu Desktop can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu Desktop
Project:
GUCharMap
Status:
Development

Recent revisions

56. By Daniel Holbach on 2014-10-12

* Use dh_autoreconf to update libtool.m4 for new ports, and build with
  --as-needed to obsolete debian/patches/99_ltmain_as-needed.patch. Thanks
  to Colin Watson in Ubuntu.
* New upstream release.
* New upstream development release.
  - include support for unicode 7.0 (Closes: #759233)
* Add build-dependency on appdata-tools for appdata file validation
* New upstream release.
* Bump valac build-dependency to a version with fixed Atk bindings.
  - valac (>= 0.24.0-2~) avoids FTFS, see #746049.
* Bump Standards-Version to 3.9.5
* New upstream release.
* Install appdata files in gucharmap package.
* Now that debian has a newer unicode-data:
  - Bump unicode-data build-dependency to >= 6.2 (Closes: #736623)
  - Drop debian/patches/revert-unicode-6.2.patch
* New upstream release
* Drop debian/patches/10_perl_5_18.patch, merged upstream.
* debian/control.in:
  - Update homepage
  - Don't build-depend on scrollkeeper
* Add debian/patches/revert-unicode-6.2.patch (Closes: #714297)
  Thanks to everyone working together in the bug report to find
  the solution to this problem!
* Change unicode-data build-dependency to be (<< 6.2)
  - We should drop this and the above patch once unicode-data is updated.
* debian/patches/10_perl_5_18.patch:
  + Fix FTBFS with perl 5.18. Thanks to Roderich Schupp. Closes: #710038.
* Team upload.
* New upstream release.
* Add build-dependency on autotools-dev to let CDBS take care of
  "outdated-autotools-helper-file".
* Bump Standards-Version to 3.9.4
* Update build-dependencies according to configure.ac changes:
  - Bump gobject-introspection from (>= 0.9.0) to (>= 1.0.0).
  - Bump libgtk-3-dev from (>= 3.0.0) to (>= 3.4.0).
  - Bump libglib2.0-dev from (>= 2.25.5) to (>= 2.32.0).
  - Add desktop-file-utils needed for desktop-file-validate
* Upstream switched from gnome-doc-utils to yelp-tools.
  - Update build-dependencies accordingly
  - Update debian/gucharmap.install for new help files path
* Refresh debian/patches/99_ltmain_as-needed.patch to apply.
* Update debian/libgucharmap-2-90-7.symbols:
  - added one symbol: gucharmap_get_resource@Base
* Enable vala bindings:
  - Add valac (>= 0.16) needed for vapigen.
  - Add configure option --enable-vala in debian/rules
  - Install vapi files in libgucharmap-2-90-dev
* Non-maintainer upload.
* Rebuild to use xz compression for all binaries, saving space on CD#1
  (Closes: #687297).
* debian/patches/unicode-source-generation.patch: compatibility with
  the unicode-data package.
* debian/rules, debian/clean, debian/control: build-depend on unicode-data
  and generate our unicode header files at package build time, to ensure
  that we actually can. Closes: #603405.
* Use a stamp file to avoid running gen-guch-unicode-tables.pl twice.
* Point Vcs-* to unstable branch.
* Drop explicit Build-Depends on gir1.2-pango-1.0 and gir1.2-gtk-3.0.
* Drop debian/patches/spelling_fixes.patch since we re-generate
  gucharmap/unicode-*.h during build, so patching the pre-generated file is
  pointless. This spelling fix needs to go into unicode-data. (See #677896)
* New upstream translation release.
* New upstream release.
* debian/watch: Track stable releases (again).
* debian/patches/00git_fix_pkg_config.patch: Removed, merged upstream.
* debian/libgucharmap-2-90-7.symbols: Add new symbols.

55. By Robert Ancell on 2012-04-17

releasing version 1:3.4.1.1-0ubuntu1

54. By Robert Ancell on 2012-03-27

GNOME releases are going into -proposed

53. By Robert Ancell on 2012-03-27

releasing version 1:3.4.0.1-0ubuntu1

52. By Martin Pitt on 2012-03-13

releasing version 1:3.3.1-1ubuntu1

51. By Martin Pitt on 2012-03-13

merge with Debian experimental

50. By Jeremy Bicha on 2012-02-07

* debian/copyright:
  - Upstream has switched to GPL-3+
  - Use the DEP5 format

49. By Jeremy Bicha on 2012-02-07

releasing version 1:3.3.1-0ubuntu1

48. By Jeremy Bicha on 2012-02-07

* New upstream release.
  - Updated for Unicode 6.1
  - Ported to gsettings
* debian/control.in:
  - Dropped gconf dependency
* Refreshed patches

47. By Michael Terry on 2011-12-16

* Merge from Debian, remaining changes:
  + debian/control.in:
    - Build-depend on dh-autoreconf and gnome-common for autotools
    - Build-depend on liblaunchpad-integration-3.0-dev
    - Add Vcs-Bzr link
  + debian/patches/01_lpi.patch:
    - Add Launchpad integration
  + debian/rules:
    - Use autoreconf.mk
  + debian/watch:
    - Watch for unstable versions
* New upstream release.
* Refresh debian/patches/99_ltmain_as-needed.patch.
* New upstream release.
* debian/control.in:
  - Add Build-Depends on libpango1.0-doc and libgtk-3-doc for proper cross
    references in the gtk-doc API documentation.
  - Set <email address hidden> as Maintainer.
* New upstream release.
* debian/watch: track .xz tarballs.
* Drop libgucharmap7 and libgucharmap2-dev, GTK+2 is no longer
  supported.
* Remove double-build cruft from debian/rules.
* Stop build-depending on libgtk2.0-dev and libgtk2.0-doc.
* Update Vcs-* URLs to non-redirected ones.
* New upstream release.
* debian/watch: Switch to .bz2 tarballs.
* Refresh debian/patches/99_ltmain_as-needed.patch.
* Bump Standards-Version to 3.9.2. No further changes.
* Add symbols files for libgucharmap7 and libgucharmap-2-90-7 for improved
  shlibs dependencies.
* Drop ancient Replaces: gnome-utils, obsolete.
* Bump debhelper compatibility level to 8.
  - Update Build-Depends on debhelper.
  - Strip leading debian/tmp/ from .install files.

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
This branch contains Public information 
Everyone can see this information.

Subscribers